Bug 116227

Summary: [GTK] Parallel build fails if gtk-doc is enabled
Product: WebKit Reporter: Alberto Garcia <berto>
Component: WebKitGTKAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, gns, mrobinson, pnormand, rniwa, zan
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
mrobinson: review+, commit-queue: commit-queue-
Patch none

Description Alberto Garcia 2013-05-16 08:33:26 PDT
The fix for bug 115612 uncovered this one.

The problems is that when gtk-doc is enabled, docs-build.stamp is made
a prerequisite of the 'all' target. That is, it is given the same
priority as all the generated files listed in BUILT_SOURCES.

Since gtk-doc depends on webkit itself, in practice this means that in
parallel builds the generated files will be created while the rest of
webkit is being compiled. If a source file needs a header that hasn't
been generated yet the build will fail.
Comment 1 Alberto Garcia 2013-05-16 08:42:48 PDT
Created attachment 201959 [details]
Patch
Comment 2 WebKit Commit Bot 2013-05-16 20:32:38 PDT
The commit-queue encountered the following flaky tests while processing attachment 201959 [details]:

media/video-controls-fullscreen-volume.html bug 116260 (author: jer.noble@apple.com)
media/video-controls-captions-trackmenu-hide-on-click.html bug 116261 (author: dino@apple.com)
media/unsupported-rtsp.html bug 116262 (authors: annacc@chromium.org, eric.carlson@apple.com, jamesr@chromium.org, and vrk@chromium.org)
media/video-append-source.html bug 116263 (authors: annacc@chromium.org, fischman@chromium.org, jamesr@chromium.org, and vrk@chromium.org)
media/video-controls-captions-trackmenu-sorted.html bug 116264 (authors: dino@apple.com and eric.carlson@apple.com)
media/video-colorspace-yuv420.html bug 116265
media/video-controls-toggling.html bug 116266 (authors: rniwa@webkit.org and vcarbune@chromium.org)
media/remove-from-document.html bug 116267 (authors: annacc@chromium.org, eric.carlson@apple.com, jamesr@chromium.org, and vrk@chromium.org)
media/video-autoplay.html bug 116268 (authors: annacc@chromium.org, hclam@google.com, jamesr@chromium.org, and vrk@chromium.org)
media/video-aspect-ratio.html bug 116269 (authors: annacc@chromium.org, hclam@google.com, jamesr@chromium.org, and vrk@chromium.org)
media/video-controls-rendering.html bug 116270 (authors: annacc@chromium.org, fischman@chromium.org, jamesr@chromium.org, and vrk@chromium.org)
media/video-controls-captions-trackmenu-localized.html bug 116271 (authors: dino@apple.com and eric.carlson@apple.com)
media/restore-from-page-cache.html bug 116272 (authors: annacc@chromium.org, jamesr@chromium.org, rniwa@webkit.org, and vrk@chromium.org)
media/video-click-dblckick-standalone.html bug 116273 (authors: jamesr@chromium.org, rniwa@webkit.org, and vrk@chromium.org)
media/video-controls-in-media-document.html bug 116274 (authors: dominicc@chromium.org, fischman@chromium.org, rniwa@webkit.org, and vrk@chromium.org)
media/sources-fallback-codecs.html bug 116275 (author: fischman@chromium.org)
media/video-canvas-source.html bug 116276 (authors: annacc@chromium.org, arv@chromium.org, jamesr@chromium.org, and vrk@chromium.org)
media/video-buffered.html bug 116277 (authors: annacc@chromium.org, jamesr@chromium.org, steveblock@chromium.org, and vrk@chromium.org)
media/unsupported-tracks.html bug 116278 (authors: annacc@chromium.org, jamesr@chromium.org, scherkus@chromium.org, and vrk@chromium.org)
media/video-canvas-alpha.html bug 116279 (authors: annacc@chromium.org, jamesr@chromium.org, rniwa@webkit.org, and vrk@chromium.org)
media/video-colorspace-yuv422.html bug 116280
svg/batik/text/textEffect.svg bug 116281 (authors: darin@apple.com and zimmermann@kde.org)
svg/batik/text/textLayout2.svg bug 116282 (authors: darin@apple.com and zimmermann@kde.org)
svg/batik/text/textLayout.svg bug 116283 (authors: darin@apple.com and zimmermann@kde.org)
svg/batik/text/textDecoration.svg bug 116284 (author: rwlbuis@gmail.com)
svg/batik/text/textAnchor.svg bug 116285 (authors: darin@apple.com and zimmermann@kde.org)
svg/batik/text/textEffect2.svg bug 116286 (authors: darin@apple.com and zimmermann@kde.org)
http/tests/security/mixedContent/redirect-https-to-http-iframe-in-main-frame.html bug 114208 (authors: abarth@webkit.org and rniwa@webkit.org)
fast/loader/javascript-url-in-object.html bug 114210 (authors: rniwa@webkit.org and sam@webkit.org)
platform/mac/editing/deleting/deletionUI-single-instance.html bug 114181 (author: rniwa@webkit.org)
The commit-queue is continuing to process your patch.
Comment 3 WebKit Commit Bot 2013-05-16 20:33:27 PDT
Comment on attachment 201959 [details]
Patch

Rejecting attachment 201959 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.appspot.com', '--bot-id=webkit-cq-01', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', 201959, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 500 characters of output:
37b167c6e44a2069c93f6fd2cce5f735d28
r150236 = d5a64cd83840d7f6a112d260dbdefcd5126cf049
r150237 = 1013dcb3768116e3ad4790ae3b7bcff9621a18e5
r150238 = 86986ad3ab9d0b30cb4861f125249ee852860a8d
r150239 = fab3303d8104db485fcfbe3e6d9a87606d0834cc
r150240 = 828c1955cca9ed6c7a107e232f78c3d0d22df76f
Done rebuilding .git/svn/refs/remotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-d52691b4dbfc
First, rewinding head to replay your work on top of it...
Fast-forwarded master to refs/remotes/origin/master.

Full output: http://webkit-queues.appspot.com/results/481757
Comment 4 WebKit Commit Bot 2013-05-17 00:41:50 PDT
Comment on attachment 201959 [details]
Patch

Rejecting attachment 201959 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.appspot.com', '--bot-id=webkit-cq-03', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', 201959, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 500 characters of output:
74f001a79baee5 M	Source
:040000 040000 5cb691c587a5e6df9815d4ae10fd110e3500c3c1 ced059dd063f370b2b846b27149e9a836a07f01c M	Tools
Current branch master is up to date.
ERROR: Not all changes have been committed into SVN, however the committed
ones (if any) seem to be successfully integrated into the working tree.
Please see the above messages for details.


Failed to run "['git', 'svn', 'dcommit']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit
Updating OpenSource
Current branch master is up to date.

Full output: http://webkit-queues.appspot.com/results/489218
Comment 5 WebKit Commit Bot 2013-05-17 01:08:11 PDT
Comment on attachment 201959 [details]
Patch

Rejecting attachment 201959 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.appspot.com', '--bot-id=webkit-cq-01', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', 201959, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 500 characters of output:
74f001a79baee5 M	Source
:040000 040000 5cb691c587a5e6df9815d4ae10fd110e3500c3c1 ced059dd063f370b2b846b27149e9a836a07f01c M	Tools
Current branch master is up to date.
ERROR: Not all changes have been committed into SVN, however the committed
ones (if any) seem to be successfully integrated into the working tree.
Please see the above messages for details.


Failed to run "['git', 'svn', 'dcommit']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit
Updating OpenSource
Current branch master is up to date.

Full output: http://webkit-queues.appspot.com/results/494186
Comment 6 WebKit Commit Bot 2013-05-17 06:36:46 PDT
Comment on attachment 201959 [details]
Patch

Rejecting attachment 201959 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.appspot.com', '--bot-id=webkit-cq-02', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', 201959, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 500 characters of output:
2bcf358800697e M	Source
:040000 040000 5cb691c587a5e6df9815d4ae10fd110e3500c3c1 ced059dd063f370b2b846b27149e9a836a07f01c M	Tools
Current branch master is up to date.
ERROR: Not all changes have been committed into SVN, however the committed
ones (if any) seem to be successfully integrated into the working tree.
Please see the above messages for details.


Failed to run "['git', 'svn', 'dcommit']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit
Updating OpenSource
Current branch master is up to date.

Full output: http://webkit-queues.appspot.com/results/491332
Comment 7 WebKit Commit Bot 2013-05-17 09:22:35 PDT
Comment on attachment 201959 [details]
Patch

Rejecting attachment 201959 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.appspot.com', '--bot-id=webkit-cq-01', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', 201959, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 500 characters of output:
/git.webkit.org/WebKit
   5e46690..680ddff  master     -> origin/master
Partial-rebuilding .git/svn/refs/remotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-d52691b4dbfc ...
Currently at 150262 = 5e46690fffbf6241d15dc7f5e7c3e0706a63498f
r150263 = 680ddff57a878d9a994a8042f3e6842ccd5b40fc
Done rebuilding .git/svn/refs/remotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-d52691b4dbfc
First, rewinding head to replay your work on top of it...
Fast-forwarded master to refs/remotes/origin/master.

Full output: http://webkit-queues.appspot.com/results/493322
Comment 8 WebKit Commit Bot 2013-05-17 15:39:04 PDT
Comment on attachment 201959 [details]
Patch

Rejecting attachment 201959 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.appspot.com', '--bot-id=webkit-cq-01', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', 201959, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 500 characters of output:
7d9b2504bd023f M	Source
:040000 040000 6f4e1a68354793d2659c373537dad4589a60d84b 3088ee97e5eb90c0c7c17bc803c656352b4ab411 M	Tools
Current branch master is up to date.
ERROR: Not all changes have been committed into SVN, however the committed
ones (if any) seem to be successfully integrated into the working tree.
Please see the above messages for details.


Failed to run "['git', 'svn', 'dcommit']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit
Updating OpenSource
Current branch master is up to date.

Full output: http://webkit-queues.appspot.com/results/499012
Comment 9 WebKit Commit Bot 2013-05-17 15:51:35 PDT
Comment on attachment 201959 [details]
Patch

Rejecting attachment 201959 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.appspot.com', '--bot-id=webkit-cq-02', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', 201959, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 500 characters of output:
7d9b2504bd023f M	Source
:040000 040000 6f4e1a68354793d2659c373537dad4589a60d84b 3088ee97e5eb90c0c7c17bc803c656352b4ab411 M	Tools
Current branch master is up to date.
ERROR: Not all changes have been committed into SVN, however the committed
ones (if any) seem to be successfully integrated into the working tree.
Please see the above messages for details.


Failed to run "['git', 'svn', 'dcommit']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit
Updating OpenSource
Current branch master is up to date.

Full output: http://webkit-queues.appspot.com/results/499016
Comment 10 WebKit Commit Bot 2013-05-17 17:26:56 PDT
Comment on attachment 201959 [details]
Patch

Rejecting attachment 201959 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.appspot.com', '--bot-id=webkit-cq-03', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', 201959, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 500 characters of output:
/git.webkit.org/WebKit
   c4acd2a..f745a3e  master     -> origin/master
Partial-rebuilding .git/svn/refs/remotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-d52691b4dbfc ...
Currently at 150310 = c4acd2aed4304ceab9422cf3b84fa7eb64f9ba9e
r150311 = f745a3e1071dad9bcc3cad889387f0d93dd88efb
Done rebuilding .git/svn/refs/remotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-d52691b4dbfc
First, rewinding head to replay your work on top of it...
Fast-forwarded master to refs/remotes/origin/master.

Full output: http://webkit-queues.appspot.com/results/484865
Comment 11 Martin Robinson 2013-05-17 18:41:32 PDT
CQ looks jammed. Ryosuke, do you want me to land this manually or are you using it to test the bot?
Comment 12 WebKit Commit Bot 2013-05-17 18:57:29 PDT
Comment on attachment 201959 [details]
Patch

Rejecting attachment 201959 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.appspot.com', '--bot-id=webkit-cq-02', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', 201959, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 500 characters of output:
58e6761292ef49 M	Source
:040000 040000 6f4e1a68354793d2659c373537dad4589a60d84b 3088ee97e5eb90c0c7c17bc803c656352b4ab411 M	Tools
Current branch master is up to date.
ERROR: Not all changes have been committed into SVN, however the committed
ones (if any) seem to be successfully integrated into the working tree.
Please see the above messages for details.


Failed to run "['git', 'svn', 'dcommit']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit
Updating OpenSource
Current branch master is up to date.

Full output: http://webkit-queues.appspot.com/results/490556
Comment 13 Martin Robinson 2013-05-17 20:26:52 PDT
There's a bug in the CQ hiding this, but Ryosuke pointed out that this patch isn't passing the CQ because the ChangeLog contains an OOPS line.
Comment 14 Alberto Garcia 2013-05-17 23:22:45 PDT
Created attachment 202192 [details]
Patch

This one should work then.
Comment 15 WebKit Commit Bot 2013-05-18 00:19:09 PDT
Comment on attachment 202192 [details]
Patch

Clearing flags on attachment: 202192

Committed r150326: <http://trac.webkit.org/changeset/150326>
Comment 16 WebKit Commit Bot 2013-05-18 00:19:14 PDT
All reviewed patches have been landed.  Closing bug.